#pragma once
#include "eventpopuplist.h"

class Event 
{
public:
	Event();
	~Event(void);

	void DeepRefresh(int eventId);
	void ShallowRefresh();
	void OnCustomNotify(int id, Notification& n);

	EventRecord record;
	LocationRecord lrecord;

	int active;
	int expired;

	EventPopupList popup;// the active events for this event
	ListItem * item;
	int editing; // this event is in the edit list
	int checked;

};